Skip to main content
Infrastructure/Federation & SSO

ListSSOAuditLogs

List SSO configuration, federation, and sync audit logs for the detail page audit tab.

GET/api/v1/sso/configurations/{id}/audit

Operation ID

ListSSOAuditLogs

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • id
    StringRequired

    SSO configuration UUID.

Query Parameters

  • limit
    Integer

    Maximum number of audit logs to return.

    Example: 0

  • offset
    Integer

    Zero-based offset.

    Example: 0

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    Audit logs matching the request.

    Example: (nested array)

    • uuid
      String

      Audit log UUID.

      Example: audit-001

    • ssoConfigUuid
      String

      SSO configuration UUID.

      Example: sso-cfg-001

    • platformUuid
      String

      Target platform UUID, when the event is platform-specific.

      Example: platform-abc123

    • action
      String

      Audited SSO action.

      Example: federate

    • result
      String

      Action result.

      Example: success

    • operator
      String

      Operator identity if available.

      Example: admin

    • details
      String

      JSON details for this audit event.

      Example: {}

    • createdAt
      String

      Time when this audit event was recorded.

      Example: 2026-01-15T08:00:00Z

    • clientIp
      String

      Client IP address that initiated the audited operation, when available.

      Example: 203.0.113.10

    • endTime
      String

      Time when the audited operation completed.

      Example: 2026-01-15T08:00:00Z

  • total
    Integer

    Total audit log count before pagination.

    Example: 10

  • limit
    Integer

    Maximum number of items returned in this page.

    Example: 20

  • offset
    Integer

    Zero-based offset of the first item in this page.

    Example: 20

  • Change Time

    AddedResponse fields clientIp, endTime
    View API